%bcond_with python

Name:           lcms
Version:        1.19
Release:        1%{?dist}
Summary:        Color Management System

Group:          Applications/Productivity
License:        MIT
URL:            http://www.littlecms.com/
Source0:        lcms-1.19.tar.gz
Patch0:         lcms-1.19-rhbz675186.patch
Patch1:			add-swab-function-prototype.diff
Patch2:			fix-ftbfs-gcc14.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?mdkversion} || 0%{?mgaversion}
%define			liblcms %{_lib}lcms
%else
%define			liblcms liblcms
%endif

BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  pkgconfig
BuildRequires:  swig >= 1.3.12
BuildRequires:  zlib-devel

%if %{with python}

%if 0%{?rhel} >= 8 || 0%{?mgaversion} >= 8
%global python python2
%global __python %__python2
%endif
%if 0%{?suse_version} == 1550
%global __python %__python2
%global python_sitearch %python2_sitearch
%endif

BuildRequires:	%{python}
BuildRequires:	%{python}-devel
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%endif

Provides:       littlecms = %{version}-%{release}
Requires:       %{liblcms}1 = %{version}-%{release}

%description
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form.

%files
%defattr(-,root,root,-)
%doc README.1ST doc/TUTORIAL.TXT
%{_bindir}/*
%{_mandir}/man1/*

##########

%package -n %{liblcms}1
Summary:        Library for %{name}
Group:          System Environment/Libraries
Provides:       liblcms = %{version}-%{release}

%description -n %{liblcms}1
The liblcms1 package contains library for %{name}.

%files -n %{liblcms}1
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_libdir}/*.so.*

%post -n %{liblcms}1
/sbin/ldconfig

%postun -n %{liblcms}1
/sbin/ldconfig

##########

%if %{with python}

%package -n python-%{name}
Summary:        Python interface to LittleCMS
Group:          Development/Libraries
Requires:       python
Provides:       python-littlecms = %{version}-%{release}

%description -n python-%{name}
Python interface to LittleCMS.

%files -n python-%{name}
%defattr(-,root,root,-)
%{python_sitearch}/lcms.py*
%{python_sitearch}/_lcms.so

%endif

##########

%package -n %{liblcms}-devel
Summary:        Development files for LittleCMS
Group:          Development/Libraries
Requires:       %{liblcms}1 = %{version}-%{release}
Requires:       pkgconfig
Provides:       lcms-devel = %{version}-%{release}
Provides:       littlecms-devel = %{version}-%{release}

%description -n %{liblcms}-devel
Development files for LittleCMS.

%files -n %{liblcms}-devel
%defattr(-,root,root,-)
%doc doc/LCMSAPI.TXT
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%post -n %{liblcms}-devel
/sbin/ldconfig

%postun -n %{liblcms}-devel
/sbin/ldconfig

##########

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1

find . -name \*.[ch] | xargs chmod -x
chmod 0644 AUTHORS COPYING ChangeLog NEWS README.1ST doc/TUTORIAL.TXT doc/LCMSAPI.TXT

# Convert not UTF-8 files
pushd doc
mkdir -p __temp
for f in LCMSAPI.TXT TUTORIAL.TXT ;do
cp -p $f __temp/$f
iconv -f ISO-8859-1 -t UTF-8 __temp/$f > $f
touch -r __temp/$f $f
done
rm -rf __temp
popd


%build
%__cp -f "/usr/share/libtool/"*"/ltmain.sh" "ltmain.sh" || %__cp -f "/usr/share/libtool/ltmain.sh" "ltmain.sh"
autoreconf -fi
%configure \
%if %{with python}
  --with-python \
%else
  --without-python \
%endif
  --disable-static \
  --disable-dependency-tracking

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%if %{with python}
(cd python; ./swig_lcms)
%endif

make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT} INSTALL="install -p"
find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf ${RPM_BUILD_ROOT}


%changelog
